/***************************************************************************
 *            m_volume-fun.h
 *
 *  Fri Dec  2 17:36:12 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomcio-j@o2.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <gtk/gtk.h>
#include <glib.h>
#include <stdio.h>
#include <sqlite3.h>

typedef struct	{
	gint	id;
	
	gint	multi_id;
	/*	Oglony tytul zbioru	*/
	gchar	title				[64];
	gchar	orginal_title		[64];
	/*	Podtytul jednego elementu zbioru	*/
	gchar	subtitle			[64];
	gchar	orginal_subtitle	[64];
	
	gint	first_author;
	gint	second_author;
	gint	third_author;
	
	gint	genere;
	gint	publish_house;
	gint	language;
	gint	orginal_language;
	gchar	isbn				[12];
	
	gint	same_publish_year;
	gint	publish_year;
	gint	pages;
	
	gint	same_translators;
	gint	first_translator;
	gint	second_translator;
	gint	third_translator;	
	
	gchar	description			[2048];
} MultiVolPrivDataStruc;

typedef struct	{
	gint	id;
	
	gint	multi_id;
	
	gchar	subtitle			[64];
	gchar	orginal_subtitle	[64];
	
	gchar	isbn				[12];
	
	gint	same_publish_year;
	gint	publish_year;
	gint	pages;
	
	gint	same_translators;
	gchar	first_translator	[64];
	gchar	second_translator	[64];
	gchar	third_translator	[64];
	
	gchar	description			[2048];
} MultiVolEditPrivDataStruc;

/*	Funkcje uzywane jedynie w ramach okna 'm_book_win'	*/

void					m_volume_load_volumes			(GtkWidget					*widget,
														 gint						m_book_id);

void					m_volume_prepare_win			(GtkWidget					*parent,
														 GtkWidget					*widget);
													 
gboolean				m_volume_check_data				(GtkWidget					*widget);

void					m_volume_add_book				(GtkWidget					*parent,
														 GtkWidget					*widget);
														 
void					m_volume_load_win				(GtkWidget					*parent,
														 GtkWidget					*widget);
														 
void					m_volume_update_book			(GtkWidget					*parent,
														 GtkWidget					*widget);

void					m_volume_check_linked_data		(GtkWidget					*widget);															 

void					m_volume_insert_volumes			(GtkWidget					*parent,
														 gint						mode);

void					m_volume_free_memory			(GtkWidget					*widget);

void					m_volume_remove_volumes			(GtkWidget					*widget);

void					m_volume_update_volumes_data	(GtkWidget					*widget);

/*	Inne funkcje, nie zwiazane z oknem 'm_book_win'	*/

MultiVolPrivDataStruc	*m_volume_select_data			(gint						*volume_id);

void					m_volume_show_volume_data		(GtkWidget					*widget,
														 MultiVolPrivDataStruc		*volume_data);
															 
void					m_volume_control_main_win_expanders	
														(gint						mode);	

void					m_volume_display_volume_data	(MultiVolPrivDataStruc		*volume_data);

void					m_volume_remove_volume			(gint						*volume_id);

void					m_volume_clear_main_win			(void);
