/***************************************************************************
 *            m_volume_win-callbacks.c
 *
 *  Wed Nov 16 16:27:00 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomcio-j@o2.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <glade/glade.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <glib/gprintf.h>
#include <glib/gi18n-lib.h>
#include <stdio.h>

#include "m_volume_win-callbacks.h"
#include "interface-fun.h"
#include "m_volume-fun.h"

gboolean
on_m_volume_win_delete_event           (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
	destroy_window (widget);
	set_widget_sensinitive (user_data, "books_list", TRUE);
	return FALSE;
}


void
on_m_volume_first_translator_en_changed
                                        (GtkEditable     *editable,
                                        gpointer         user_data)
{
	GtkWidget	*widget;
	GladeXML	*xml;
	
	xml = glade_get_widget_tree (GTK_WIDGET (editable));
	widget = glade_xml_get_widget (xml, "m_volume_first_translator_en");	
	
	/*	Jezeli pierwsze pole 'Author' jest puste to element rozszerzajacy 
	 *	'additional_authors_exp' zostanie dezaktywowany, a 'ptaszki'
	 *	przy dodatkowych autorach zostana odznaczone. Robimy to w celu
	 *	zachowania logiki uzywania programu: dodatkowi autorzy moga byc dodani 
	 *	jedyne w sytuacji, gdy podany jest pierwszy autor.	*/

	if (strcmp (gtk_entry_get_text (GTK_ENTRY (widget)), "") == 0)	{
		set_widget_sensinitive (widget, "m_volume_additional_translators_exp", FALSE);
	}
	else	{
		set_widget_sensinitive (widget, "m_volume_additional_translators_exp", TRUE);
	}
}


void
on_m_volume_cancel_but_clicked         (GtkButton       *button,
                                        gpointer         user_data)
{
	destroy_window (GTK_WIDGET (button));
	set_widget_sensinitive (user_data, "books_list", TRUE);
}


void
on_m_volume_add_but_clicked            (GtkButton       *button,
                                        gpointer         user_data)
{
	gboolean status;
	status = m_volume_check_data (GTK_WIDGET (button));
	if (status == TRUE)	{
		m_volume_add_book (GTK_WIDGET (user_data), GTK_WIDGET (button));
		set_widget_sensinitive (GTK_WIDGET (user_data), "books_list", TRUE);
		destroy_window (GTK_WIDGET (button));
	}
}


void
on_m_volume_update_but_clicked         (GtkButton       *button,
                                        gpointer         user_data)
{
	gboolean status;
	status = m_volume_check_data (GTK_WIDGET (button));
	if (status == TRUE)	{
		m_volume_update_book (GTK_WIDGET (user_data), GTK_WIDGET (button));
		set_widget_sensinitive (GTK_WIDGET (user_data), "books_list", TRUE);
		destroy_window (GTK_WIDGET (button));
	}
}
